<?php

namespace Drupal\config_enforce;

use Drupal\Core\Messenger\MessengerTrait;
use Drupal\Core\StringTranslation\StringTranslationTrait;
use Drupal\Core\Logger\LoggerChannelTrait;

/**
 * A module that contains enforced configs.
 */
class TargetModule {

  use StringTranslationTrait, MessengerTrait, LoggerChannelTrait;

  // A logger service.
  protected $log;

  // A registry of enforced configs.
  protected $registry;

  // The module machine.
  protected $machineName;

  /**
   * TargetModule constructor.
   *
   * @param $machine_name
   */
  public function __construct($machine_name) {
    $this->registry = new EnforcedConfigRegistry($machine_name);
    $this->log = $this->getLogger('config_enforce\TargetModule');
    $this->machineName = $machine_name;
  }

  /**
   * @return \Drupal\config_enforce\EnforcedConfigRegistry
   */
  public function getRegistry() {
    return $this->registry;
  }

  /**
   * Return the module machine name.
   */
  public function getMachineName() {
    return $this->machineName;
  }

}
